> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ipt/ip-transit/describeiptransits.md).

# DescribeIPTransits

## 1. API Description

This API (DescribeIPTransits) is used to queries IP Transit resource list.

{% hint style="info" %}
**BGP tier**

* For instances with `routingType=BGP`, `bgp.tier` returns the BGP tier (`STANDARD` or `PREMIUM`). Existing instances created before the tier split uniformly return `PREMIUM`.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                    | Description                                                                                       |
| --------------- | -------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| iptIds          | No       | Array of String                                         | <p>List of IP Transit IDs.</p><p>Maximum: 100.</p>                                                |
| iptName         | No       | String                                                  | <p>IP Transit name.</p><p>Fuzzy search is supported.</p>                                          |
| resourceGroupId | No       | String                                                  | Resource group ID.                                                                                |
| peerPortId      | No       | String                                                  | <p>Port ID.</p><p>Use this field to filter IP Transits associated with the specified port.</p>    |
| iptDcId         | No       | String                                                  | <p>Data center ID.</p><p>You can call DescribeDataCenters to get the latest data center list.</p> |
| pageSize        | No       | Integer                                                 | <p>Number of results per page.</p><p>Default: 20. Maximum: 1000.</p>                              |
| pageNum         | No       | Integer                                                 | <p>Page number of the returned pages.</p><p>Default: 1.</p><p>Default value: 1</p>                |
| tagKeys         | No       | Array of String                                         | <p>Filter by tag keys.</p><p>Maximum: 20 tags.</p>                                                |
| tags            | No       | Array of [Tag](/api-reference/ipt/datastructure.md#tag) | <p>Filter by tags.</p><p>Maximum: 20 tags.</p>                                                    |

## 3. Output Parameters

| Parameter Name | Type                                                                | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                             | Total number of data meeting the conditions.                                                                          |
| dataSet        | Array of [IPTransit](/api-reference/ipt/datastructure.md#iptransit) | IP Transit result set.                                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query IP Transit list**

```
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIPTransits
Request:
{
    "iptIds": ["1218415745478697618"]
}
Response:
{
    "requestId": "TEC2801F6-9FB4-4DE2-8BCD-1C59655495C5",
    "response": {
        "requestId": "TEC2801F6-9FB4-4DE2-8BCD-1C59655495C5",
        "totalCount": 1,
        "dataSet": [
            {
                "iptId": "the-ipt-id",
                "bfd": {
                    "bfdRxInterval": 100,
                    "bfdTxInterval": 100,
                    "bfdMultiplier": 10
                },
                "resourceGroupName": "Default Resource Group",
                "dataCenter": {
                    "dcId": "822b9bd9-44f0-4279-a64d-568f5bc4a77b",
                    "cityName": "Amsterdam",
                    "areaName": "Europe",
                    "dcName": "Equinix AM3",
                    "latitude": 52.35501600,
                    "dcAddress": "Science Park 610, 1098 XH Amsterdam, Netherlands",
                    "countryName": "Netherlands",
                    "longitude": 4.96093800
                },
                "bandwidth": 50,
                "iptStatus": "CREATING",
                "iptDescription": "test_ipt_desc",
                "privateConnectName": "PrivateConnect-Los Angeles-Amsterdam",
                "deliveryType": "Manual",
                "chargeType": "POSTPAID",
                "peerPortName": "MIA1-10G",
                "bgp": null,
                "iptName": "MIA1-10G",
                "peerPortId": "your-port-id",
                "interconnect": {
                    "customerIpv4Address": null,
                    "vendorIpv4Address": null
                },
                "peerDataCenter": {
                    "dcId": "40eb37d8-0f65-4108-bd2c-a2577498f6eb",
                    "cityName": "Los Angeles",
                    "areaName": "North America",
                    "dcName": "Coresite LA2",
                    "latitude": 34.05829500,
                    "dcAddress": "900 Alameda St., Suite 200 Los Angeles, CA 90012",
                    "countryName": "United States",
                    "longitude": -118.23467300
                },
                "createTime": "2024-01-01T00:00:00Z",
                "routingType": "Static",
                "commitBandwidth": null,
                "resourceGroupId": "5a4f6519-2977-47cb-b3fc-150fd2b4de71",
                "internetType": "ByBandwidth",
                "privateConnectId": "your-private-connect-id",
                "publicIpv4Addresses": [
                    {
                        "netmask": 25,
                        "gatewayIpAddress": null,
                        "ipAddress": null
                    }
                ]
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
